Subject: bug#64773: grep 3.11 -r on 100000+ files fails with "Operation not supported"

From: Jim Meyering <[email-masked]>
Date: Fri, 21 Jul 2023 17:45:24 -0700

On Fri, Jul 21, 2023 at 4:38 PM Paul Eggert <[email-masked]> wrote:
> To fix just this bug (as opposed to the other Gnulib-related bugs that
> may be lurking) try applying the attached Gnulib patch to a grep 3.11
> tarball.
>
> Closing the debbugs.gnu.org bug report, as the bug has been fixed upstream.

Thanks for reporting that.
I've just pushed the following, adding a NEWS entry for the 3.11 bug and a test.
https://git.savannah.gnu.org/cgit/grep.git/commit/?id=v3.11-12-gd1c3fbe